#define radimo_major		42

#define radimo_timer_delay	60*hz

/* msg masks */
#define radimo_open		1
#define radimo_ioctl		2
#define radimo_info		4
#define radimo_request		8
#define radimo_timer		16
#define radimo_error		32

/* set to 1 for rd style requests */
#define radimo_cheat_request

#ifndef msg_mask
#define msg_mask ( radimo_ioctl | radimo_info | radimo_error )
#endif

#define msg(mask, string, args...) \
	if (msg_mask & mask) printk(kern_debug "radimo: " string, ##args)
